/*
 * Auspice Services is copyright (c) 2000-2001 In Mean.
 *     E-mail: <inmean@khmerpop.com>
 * SirvNET Services is copyright (c) 1998-2000 Trevor Klingbeil.
 *     E-mail: <priority1@dal.net>
 * This program is free but copyrighted software; see the file LICENSE for
 * details.
 */


static const char *rs_ohelp[] = {
"RootServ commands:",
"   CHANSNOOP   Channel Snoop Feature",
"   FLOODRESET  Reset someone's flev",
"   REFERENCE   NS/CS/MS snoop symbol reference",
"   INJECT      Send Raw command to Services",
"   SET         Set various global Services options",
"   SA          Modify the Services admin list",
"   SRA         Modify the Services Root list",
"   MKICK       Kick all user from a channel",
"   MINVITE     Force all user fron one channel to",
"               join other channel",
"   RAW         Send Raw command to Server",
"   AT          Manipulate the abuse team list",
"   LOG         Search the log ex: *auspice*",
"               Big network the services may flood you",
"   BACKUPLOG   To pack the services.log file to",
"               file with data stamp in tgz format",
"",
"   SRA OTHER: RESTART, QUIT, SHUTDOWN",
"",
"\2Notice:\2 Additional Information may be found via \"HELP <command>\"",
"",
"\2Notice:\2 All commands sent to OperServ are logged!",
NULL
};

/*************************************************************************/

static const char *chansnoop_help[] = {
"Syntax: CHANSNOOP {\2ON\2|\2OFF\2} \37channel\37",
"",
"CHANSNOOP sends the global noticer into the given channel",
"that copies any channel text into the SRA channel #Snoop.",
"This command should only be used for investigation purposes.",
NULL
};

/*************************************************************************/

static const char *inject_help[] = {
"Syntax: INJECT \2\37nick\37 \37service\37 \37service-command\37\2",
"",
"Inject allows Services Roots to inject any services command",
"to ay online client.",
"",
"Example: INJECT Priority1 NickServ info TeRReT",
NULL
};

/*************************************************************************/

static const char *set_help[] = {
"Syntax: \2SET \37option\37 \37setting\37\2",
"",
"Sets various global Services options.  Option names",
"currently defined are:",
"Limited to \2Services Roots\2.",
"",
"    \2CLONES\2     Clone Detection",
"    \2DUMPLOG\2    Write to log files",
"    \2FLOOD\2      Flood Levels",
"    \2IGNORE\2     Ignore code",
"    \2REALNAME\2   Real name catching",
"    \2READONLY\2   Set read-only or read-write mode",
"    \2SENDLOGS\2   Send Logs at 12:00am to SA+ sendlogs list",
"",
"Limited to \2Services Masters\2.",
"",
"    \2DEBUG\2      Debug Mode.",
NULL
};

/*************************************************************************/

static const char *set_readonly_help[] = {
"Syntax: \2SET READONLY {ON|OFF}\2",
"",
"Sets read-only mode on or off.  In read-only mode, normal",
"users will not be allowed to modify any Services data,",
"including channel and nickname access lists, etc. IRCops",
"will be able to modify Services' AKILL list and drop or",
"forbid nicknames and channels, but any such changes will",
"not be saved unless read-only mode is deactivated before",
"Services is terminated.",
"",
"This option is equivalent to the command-line option",
"\2-readonly\2.",
};

/*************************************************************************/

static const char *update_help[] = {
"Syntax: \2UPDATE\2",
"",
"Forces Services to update the channel, nick, and memo",
"databases as soon as you send the command.  Useful",
"before shutdowns.",
"Limited to \2Services Roots\2.",
NULL
};

/************************************************************************/

static const char *quit_help[] = {
"Syntax: \2QUIT\2",
"",
"Causes Services to do an immediate shutdown.  It is",
"a good idea to update the databases using the",
"\2UPDATE\2 command beforehand.",
"\2NOTE:\2 This command is NOT to be toyed with--using",
"it without good reason can disrupt network operations,",
"especially if a person with access to restart Services",
"is not around.",
"Limited to \2Services Roots\2.",
NULL
};

/************************************************************************/

static const char *shutdown_help[] = {
"Syntax: \2SHUTDOWN\2",
"",
"Tells Services to shut down, but save databases.  It is",
"a \"clean\" alternative to \2QUIT\2.",
"\2NOTE:\2 This command is NOT to be toyed with--using",
"it without good reason can disrupt network operations,",
"especially if a person with access to restart Services",
"is not around.",
"Limited to \2Services Roots\2.",
NULL
}; 

/************************************************************************/

static const char *restart_help[] = {
"Syntax: \2RESTART\2",
"",
"Tells Services to save databases and restart (i.e. exit",
"and immediately re-run the executable).",
"Limited to \2Services Roots\2.",
NULL
};

/*************************************************************************/

static const char *sraw_help[] = {
"Syntax: \2RAW \37text\37\2",
"",
"Sends a string of text directly to the server to which",
"Services is connected.  This command has a very limited",
"range of uses, and can wreak havoc on a network if used",
"improperly.  \2DO NOT USE THIS COMMAND\2 unless you are",
"absolutely certain you know what you are doing!",
"Limited to \2Services Roots\2.",
NULL
};

/*************************************************************************/

static const char *admin_help[] = {
"Syntax: SA ADD \37nick\37",
"        SA DEL \37nick\37",
"        SA LIST",
"",
"Allows the Services super-user to add or remove nicknames",
"to or from the Services admin list.  A user whose nickname",
"is on the Services admin list and who has identified to",
"NickServ will be able to access Services admin commands.",
NULL
};

/*************************************************************************/
